<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<window>
    <id>7969</id>
    <defaultcontrol>2</defaultcontrol>
    <allowoverlay>yes</allowoverlay>
    <define>#header.label:Sleep Control</define>
    <controls>
        <control>
            <id>1</id>
            <description>BG</description>
            <type>image</type>
            <posX>0</posX>
            <posY>0</posY>
            <width>1920</width>
            <height>1080</height>
            <texture>background.png</texture>
        </control>
        <control>
            <id>0</id>
            <type>image</type>
            <posX>66</posX>
            <posY>34</posY>
            <width>61</width>
            <height>60</height>
            <texture>icon_sleep.png</texture>
            <animation effect="Fade" time="250">WindowOpen</animation>
            <animation effect="Fade" time="250">WindowClose</animation>
        </control>
        <import>common.time.xml</import>
        <control>
            <id>0</id>
            <description>panel details technical infos</description>
            <type>image</type>
            <posX>10</posX>
            <posY>252</posY>
            <width>1903</width>
            <height>790</height>
            <texture>panel_list_noinfo.png</texture>
            <animation effect="Fade" time="250">WindowOpen</animation>
            <animation effect="Fade" time="250">WindowClose</animation>
        </control>
        <control>
            <description>Button group</description>
            <type>group</type>
            <posX>119</posX>
            <posY>334</posY>
            <layout>StackLayout(7, Vertical, true)</layout>
            <animation effect="Fade" time="250">WindowOpen</animation>
            <animation effect="Fade" time="250">WindowClose</animation>
            <control>
                <id>2</id>
                <description>Sleep Mode</description>
                <type>button</type>
                <onup>9</onup>
                <ondown>3</ondown>
                <posX>583</posX>
                <posY>9</posY>
                <textcolor>ff000000</textcolor>
                <textcolorNoFocus>ffffffff</textcolorNoFocus>
                <label>Sleep Mode</label>
            </control>
            <control>
                <id>3</id>
                <description>Set Timer manually</description>
                <type>button</type>
                <onup>2</onup>
                <ondown>4</ondown>
                <textcolor>ff000000</textcolor>
                <textcolorNoFocus>ffffffff</textcolorNoFocus>
                <label>Set Timer manually</label>
            </control>
            <control>
                <id>4</id>
                <description>Set Timer by recording selection</description>
                <type>button</type>
                <onup>3</onup>
                <ondown>5</ondown>
                <textcolor>ff000000</textcolor>
                <textcolorNoFocus>ffffffff</textcolorNoFocus>
                <label>Set Timer by recording selection</label>
            </control>
            <control>
                <id>5</id>
                <description>Start/Stop Timer</description>
                <type>button</type>
                <onup>4</onup>
                <ondown>6</ondown>
                <textcolor>ff000000</textcolor>
                <textcolorNoFocus>ffffffff</textcolorNoFocus>
                <label>Start Timer</label>
            </control>
            <control>
                <id>6</id>
                <description>Pause Timer</description>
                <type>button</type>
                <onup>5</onup>
                <ondown>7</ondown>
                <textcolor>ff000000</textcolor>
                <textcolorNoFocus>ffffffff</textcolorNoFocus>
                <label>Pause Timer</label>
            </control>
            <control>
                <id>7</id>
                <description>Increment Timer</description>
                <type>button</type>
                <onup>6</onup>
                <ondown>8</ondown>
                <textcolor>ff000000</textcolor>
                <textcolorNoFocus>ffffffff</textcolorNoFocus>
                <label>Increment Timer</label>
            </control>
            <control>
                <id>8</id>
                <description>Decrement Timer</description>
                <type>button</type>
                <onup>7</onup>
                <ondown>9</ondown>
                <textcolor>ff000000</textcolor>
                <textcolorNoFocus>ffffffff</textcolorNoFocus>
                <label>Decrement Timer</label>
            </control>
            <control>
                <id>9</id>
                <description>Wait until tasks finished</description>
                <type>togglebutton</type>
                <onup>8</onup>
                <ondown>10</ondown>
                <label>Wait until tasks finished</label>
            </control>
            <control>
                <id>10</id>
                <description>Volume Reduction</description>
                <type>togglebutton</type>
                <onup>9</onup>
                <ondown>2</ondown>
                <label>Volume Reduction</label>
            </control>
        </control>
        <control>
            <id>0</id>
            <description>Sleep State</description>
            <type>label</type>
            <posX>800</posX>
            <posY>361</posY>
            <width>900</width>
            <font>fontB22</font>
            <textcolor>ff808080</textcolor>
            <align>CENTER</align>
            <label>#SleepControl.Activity</label>
        </control>
        <control>
            <id>0</id>
            <description>Sleep Mode</description>
            <type>label</type>
            <posX>800</posX>
            <posY>427</posY>
            <width>900</width>
            <font>fontB20</font>
            <textcolor>ff808080</textcolor>
            <align>CENTER</align>
            <label>#SleepControl.Method</label>
        </control>
        <control>
            <id>0</id>
            <description>Sleep Counter</description>
            <type>label</type>
            <posX>801</posX>
            <posY>518</posY>
            <width>900</width>
            <font>fontB22</font>
            <align>CENTER</align>
            <label>#SleepControl.Counter</label>
        </control>
        <control>
            <id>0</id>
            <description>Sleep Status</description>
            <type>label</type>
            <posX>641</posX>
            <posY>601</posY>
            <width>1200</width>
            <font>fontB12</font>
            <textcolor>ff808080</textcolor>
            <align>CENTER</align>
            <label>#SleepControl.Status</label>
        </control>
        <control>
            <id>0</id>
            <description>Sleep Start/End</description>
            <type>label</type>
            <visible>!string.equals(#SleepControl.Start,)</visible>
            <posX>800</posX>
            <posY>664</posY>
            <width>900</width>
            <font>fontB16</font>
            <textcolor>ff808080</textcolor>
            <align>CENTER</align>
            <label>#SleepControl.Start - #SleepControl.End</label>
        </control>
        <control>
            <id>0</id>
            <type>image</type>
            <visible>!string.equals(#SleepControl.Recordings,)</visible>
            <posX>768</posX>
            <posY>714</posY>
            <width>925</width>
            <height>230</height>
            <texture>settings_dark_background1.png</texture>
            <animation effect="Fade" time="150">WindowOpen</animation>
            <animation effect="Fade" time="150">WindowClose</animation>
        </control>
        <control>
            <id>0</id>
            <description>Sleep Status</description>
            <type>textboxscrollup</type>
            <visible>!string.equals(#SleepControl.Recordings,)</visible>
            <posX>777</posX>
            <posY>727</posY>
            <width>900</width>
            <height>206</height>
            <animation effect="Fade" time="150">WindowOpen</animation>
            <animation effect="Fade" time="150">WindowClose</animation>
            <label>
             #SleepControl.RecordingTimerCount #SleepControl.TranslationRecordingTimerCount
             #SleepControl.Recordings
            </label>
            <align>center</align>
            <font>fontB10</font>
            <textcolor>ffffffff</textcolor>
        </control>
    </controls>
</window>
